Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037396
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminorhave not tried2017-11-27 14:302018-01-03 12:39
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision77c78710f26e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037396: remove support for printing fop documents in a different server

DescriptionOpenbravo supported to print fop documents in a different server communicating through rmi. This feature is unused, undocumented and untested.
Steps To Reproduce-
Proposed SolutionCompletely remove it:
* It's undocumented: there is no entry in the wiki for it. The only doc is in the code itself [1]
* Configuration requires to be done directly patching the code and building it manually (there's no ant task to do so).
* It's not tested. I don't even know if it works at all and I don't remember none testing it in the last 10 years.
* It's for fop reports, which is the old way (pre-2.50) to generate pdfs. So, at least from product, we don't create new fop report for ages.
* I haven't heard from anyone using it
* If someone is using it, requiring configuration to be done in code, would be easier to have it in a custom module.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0037402 closedalostale API change: removed ConfigParameters.strServidorRenderFo and ad_model_object_para row 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0100751)
hgbot (developer)
2017-11-28 08:19

Repository: erp/devel/pi
Changeset: 77c78710f26e031cdf8dcba81ec9079df283ecf3
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Nov 27 15:04:47 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/77c78710f26e031cdf8dcba81ec9079df283ecf3 [^]

fixed issue 37396: remove support to print fop documents in a different server

  This feature was not used nor documented.

---
M src-core/.classpath
M src-core/src/org/openbravo/base/ConfigParameters.java
M src-core/src/org/openbravo/base/HttpBaseServlet.java
M src-db/database/sourcedata/AD_MODEL_OBJECT_PARA.xml
R lib/runtime/renderFoRmi.jar
R src-core/utils/rmi/Readme.txt
R src-core/utils/rmi/classes/rmi/.keep
R src-core/utils/rmi/java.policy
R src-core/utils/rmi/lib/.keep
R src-core/utils/rmi/logs/.keep
R src-core/utils/rmi/src/rmi/RenderFo.java
R src-core/utils/rmi/src/rmi/RenderFoI.java
---
(0100809)
caristu (developer)
2017-11-29 11:13

Reviewed
(0101464)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-11-27 14:30 alostale New Issue
2017-11-27 14:30 alostale Assigned To => platform
2017-11-27 14:30 alostale Modules => Core
2017-11-27 14:30 alostale Triggers an Emergency Pack => No
2017-11-27 14:30 alostale Assigned To platform => alostale
2017-11-28 08:02 alostale Relationship added depends on 0037402
2017-11-28 08:09 alostale Relationship added blocks 0032688
2017-11-28 08:19 hgbot Checkin
2017-11-28 08:19 hgbot Note Added: 0100751
2017-11-28 08:19 hgbot Status new => resolved
2017-11-28 08:19 hgbot Resolution open => fixed
2017-11-28 08:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/77c78710f26e031cdf8dcba81ec9079df283ecf3 [^]
2017-11-28 08:20 alostale Review Assigned To => caristu
2017-11-29 11:13 caristu Note Added: 0100809
2017-11-29 11:13 caristu Status resolved => closed
2017-11-29 11:13 caristu Fixed in Version => 3.0PR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101464


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker